Description

Dear Team,

I am having a little trouble understanding how to implement the weights in my analysis. I have read the documentation and some of

the questions posted on here, but I wanted to make 100% certain.

The first question I had was with regards to using the longitudinal weights and this comment from the documentation "For example if

you are looking at waves 4 to 9, use the appropriate longitudinal weight from the last wave in your analysis (note wave 9 variables

begin with i_)". In the data, I remove the wave tag (i.e., "i_") and append. So when selecting a weight for the longitudinal analysis I

would be using the weight found in each relevant wave. Based on the quoted comment it would appear I should merge the weights

from the last wave to each observation in previous waves?

The second question: given the above, if I am trying to run a regression at the individual level with a sample of self-employed workers

in a specific SOC, that uses shares calculated at the ttwa year level, shall I collapse with the weight (i.e., indpxus_lw ?) and then

include the same weight in the regression?

Thank you for your help.

Cameron

History

#1 - 02/08/2021 01:18 PM - Understanding Society  User Support Team

- Status changed from New to In Progress

- Assignee set to Olena Kaminska

- % Done changed from 0 to 10

- Private changed from Yes to No

#2 - 02/08/2021 01:18 PM - Understanding Society  User Support Team

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response

times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,

Understanding Society User Support Team

#3 - 02/08/2021 02:57 PM - Olena Kaminska

Cameron,

It sounds like you are using pooled analysis. I suggest you search for other similar questions on this forum as you may find previous discussions with

other users useful.

If you want to come back to us please let me know which information you include in your analysis - I am interested in which waves and instruments

the information comes from. So, are you interested in previous experience and its influence on current situation or are you studying data

cross-sectionally, but pooling it over time?

Thank you,

Olena

#4 - 02/08/2021 03:22 PM - Cameron Harries

Dear Olena,

Thank you for your reply.
Yes, my mistake on the cross-sectional weight in the second question. My first question still stands in trying to understand the comment (if I was to

use longitudinal weights for an analysis).

However, for my second question, I do believe I should be using cross-sectional weights. I am running a regression using all waves with at the

individual level using the restriction of a SOC code. Thus, the individual may be present in some years and not others if they change SOC. I am using

some individual controls such as age, education, gender, as well as some ttwa level controls, such as the share of workers that are female in a given

ttwa year, and year and ttwa fixed-effects. Thus, when I calculate the shares I may not be using the same sample as the in the regression.

Thank you!

Cameron

#5 - 02/08/2021 04:59 PM - Olena Kaminska

Cameron,

Yes, from what you have said it sounds like you would need cross-sectional weights. As long as you don't use any previous information from other

waves in your regression you should use a relevant cross-sectional weight for each wave (so weight b_ for wave 2, weight c_ for wave 3 etc.) Please

remember to take into account clustering within PSU - this is especially important in pooled analysis.

I am not sure what you mean by 'shall I collapse with the weight (i.e., indpxus_lw ?) ' in your first question. Are you planning to include a weight in

your analysis as a covariate?

Thanks,

Olena

#6 - 02/24/2021 06:38 AM - Understanding Society  User Support Team

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

#7 - 08/05/2021 02:00 PM - Understanding Society  User Support Team

- Assignee deleted (Olena Kaminska)

#8 - 10/12/2021 02:50 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

03/12/2025 2/2

http://www.tcpdf.org

